/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
import { Feature } from "../../private/Feature";
export declare class DebugDisplay extends Feature {
    private readonly mod;
    private readonly player;
    private readonly tear;
    private readonly familiar;
    private readonly bomb;
    private readonly pickup;
    private readonly slot;
    private readonly laser;
    private readonly knife;
    private readonly projectile;
    private readonly effect;
    private readonly npc;
    private readonly rock;
    private readonly pit;
    private readonly spikes;
    private readonly tnt;
    private readonly poop;
    private readonly door;
    private readonly pressurePlate;
    /**
     * If the "togglePlayerDisplay" function is called, text will be drawn on the screen next to each
     * player. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * For example, this would draw the number of the player's collectibles next to their head:
     *
     * ```ts
     * setPlayerDisplay((player) => {
     *   return `collectible count: ${player.GetCollectibleCount()}`;
     * });
     * ```
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setPlayerDisplay(textCallback: (player: EntityPlayer) => string): void;
    /**
     * If the "toggleTearDisplay" function is called, text will be drawn on the screen next to each
     * tear. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setTearDisplay(textCallback: (tear: EntityTear) => string): void;
    /**
     * If the "toggleFamiliarDisplay" function is called, text will be drawn on the screen next to
     * each familiar. Use this function to specify a callback function that returns the string that
     * should be drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setFamiliarDisplay(textCallback: (familiar: EntityFamiliar) => string): void;
    /**
     * If the "toggleBombDisplay" function is called, text will be drawn on the screen next to each
     * bomb. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setBombDisplay(textCallback: (bomb: EntityBomb) => string): void;
    /**
     * If the "togglePickupDisplay" function is called, text will be drawn on the screen next to each
     * pickup. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setPickupDisplay(textCallback: (pickup: EntityPickup) => string): void;
    /**
     * If the "toggleSlotDisplay" function is called, text will be drawn on the screen next to each
     * slot. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setSlotDisplay(textCallback: (slot: Entity) => string): void;
    /**
     * If the "toggleLaserDisplay" function is called, text will be drawn on the screen next to each
     * laser. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setLaserDisplay(textCallback: (laser: EntityLaser) => string): void;
    /**
     * If the "toggleKnifeDisplay" function is called, text will be drawn on the screen next to each
     * knife. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setKnifeDisplay(textCallback: (knife: EntityKnife) => string): void;
    /**
     * If the "toggleProjectileDisplay" function is called, text will be drawn on the screen next to
     * each projectile. Use this function to specify a callback function that returns the string that
     * should be drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setProjectileDisplay(textCallback: (projectile: EntityProjectile) => string): void;
    /**
     * If the "extra console commands" feature is specified, the "effectDisplay" console command will
     * draw text on the screen next to each effect. Use this function to specify a callback function
     * that returns the string that should be drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setEffectDisplay(textCallback: (effect: EntityEffect) => string): void;
    /**
     * If the "toggleNPCDisplay" function is called, text will be drawn on the screen next to each
     * NPC. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setNPCDisplay(textCallback: (npc: EntityNPC) => string): void;
    /**
     * If the "toggleRockDisplay" function is called, text will be drawn on the screen next to each
     * rock. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setRockDisplay(textCallback: (rock: GridEntityRock) => string): void;
    /**
     * If the "togglePitDisplay" function is called, text will be drawn on the screen next to each
     * pit. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setPitDisplay(textCallback: (pit: GridEntityPit) => string): void;
    /**
     * If the "toggleSpikesDisplay" function is called, text will be drawn on the screen next to each
     * spikes. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setSpikesDisplay(textCallback: (spikes: GridEntitySpikes) => string): void;
    /**
     * If the "toggleTNTDisplay" function is called, text will be drawn on the screen next to each
     * TNT. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setTNTDisplay(textCallback: (tnt: GridEntityTNT) => string): void;
    /**
     * If the "togglePoopDisplay" function is called, text will be drawn on the screen next to each
     * poop. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setPoopDisplay(textCallback: (poop: GridEntityPoop) => string): void;
    /**
     * If the "toggleDoorDisplay" function is called, text will be drawn on the screen next to each
     * door. Use this function to specify a callback function that returns the string that should be
     * drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setDoorDisplay(textCallback: (door: GridEntityDoor) => string): void;
    /**
     * If the "togglePressurePlateDisplay" function is called, text will be drawn on the screen next
     * to each pressure plate. Use this function to specify a callback function that returns the
     * string that should be drawn.
     *
     * Once the function is set, the library will call it automatically on every frame. For this
     * reason, you typically only need to set the function once at the beginning of your mod.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @public
     */
    setPressurePlateDisplay(textCallback: (pressurePlate: GridEntityPressurePlate) => string): void;
    private toggleFeature;
    /**
     * Toggles the debug display for players, which will draw text on the screen next to each player.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    togglePlayerDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for tears, which will draw text on the screen next to each tear.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`. *
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    toggleTearDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for familiars, which will draw text on the screen next to each
     * familiar.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    toggleFamiliarDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for bombs, which will draw text on the screen next to each bomb.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    toggleBombDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for pickups, which will draw text on the screen next to each pickup.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    togglePickupDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for slots, which will draw text on the screen next to each slot.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    toggleSlotDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for lasers, which will draw text on the screen next to each laser.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    toggleLaserDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for knives, which will draw text on the screen next to each knife.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    toggleKnifeDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for projectiles, which will draw text on the screen next to each
     * projectile.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    toggleProjectileDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for effects, which will draw text on the screen next to each effect.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    toggleEffectDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for NPCs, which will draw text on the screen next to each NPC.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    toggleNPCDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for rocks, which will draw text on the screen next to each rock.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    toggleRockDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for pits, which will draw text on the screen next to each pit.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    togglePitDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for spikes, which will draw text on the screen next to each spike.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    toggleSpikesDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for TNT, which will draw text on the screen next to each TNT.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    toggleTNTDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for poops, which will draw text on the screen next to each poop.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    togglePoopDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for doors, which will draw text on the screen next to each door.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    toggleDoorDisplay(force?: boolean): void;
    /**
     * Toggles the debug display for pressure plates, which will draw text on the screen next to each
     * pressure plate.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DEBUG_DISPLAY`.
     *
     * @param force Optional. A boolean that represents the value to force the display to. For
     *              example, you can specify true to always make the display turn on, regardless of
     *              whether it is already on.
     * @public
     */
    togglePressurePlateDisplay(force?: boolean): void;
}
//# sourceMappingURL=DebugDisplay.d.ts.map