import { Feature } from "../../private/Feature";
export declare class DisableAllSound extends Feature {
    private musicWasEnabled;
    private readonly postRender;
    /**
     * Helper function to stop muting all sound effects and music.
     *
     * Use this function to set things back to normal after having used `disableAllSounds`.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DISABLE_ALL_SOUND`.
     *
     * @param key The name of the mod feature that is requesting the enable/disable. For example, if
     *            this was part of the code for a custom enemy called "Super Gaper", then you could
     *            use a key of "SuperGaper". The name is necessary so that multiple mod features can
     *            work in tandem.
     */
    enableAllSound(key: string): void;
    /**
     * Helper function to disable all sound effects and music (by constantly musting them).
     *
     * Use the `enableAllSounds` helper function to set things back to normal.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.DISABLE_ALL_SOUND`.
     *
     * @param key The name of the mod feature that is requesting the enable/disable. For example, if
     *            this was part of the code for a custom enemy called "Super Gaper", then you could
     *            use a key of "SuperGaper". The name is necessary so that multiple mod features can
     *            work in tandem.
     */
    disableAllSound(key: string): void;
}
//# sourceMappingURL=DisableAllSound.d.ts.map