import { Feature } from "../../private/Feature";
export declare class Pause extends Feature {
    private readonly disableInputs;
    private readonly postUpdate;
    private stopTearsAndProjectilesFromMoving;
    private readonly inputActionGetActionValue;
    /**
     * Helper function to check if the pause feature from `isaacscript-common` is currently
     * pseudo-pausing the game.
     *
     * @public
     */
    isPaused(): boolean;
    /**
     * Helper function to emulate what happens when the player pauses the game. Use the `unpause`
     * function to return things back to normal.
     *
     * Under the hood, this function:
     * - uses the Pause collectible on every game frame
     * - disables any player inputs (except for `ButtonAction.MENU_CONFIRM` and
     *   `ButtonAction.CONSOLE`)
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.PAUSE`.
     *
     * @public
     */
    pause(): void;
    /**
     * Helper function to put things back to normal after the `pause` function was used.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.PAUSE`.
     *
     * @public
     */
    unpause(): void;
}
//# sourceMappingURL=Pause.d.ts.map