import { Feature } from "../../private/Feature";
export declare class UnlockAchievementsDetection extends Feature {
    private readonly postGameStartedReordered;
    /**
     * Helper function to see if the current run can unlock achievements. For example, if playing on a
     * set seed or in a victory lap, achievements are disabled.
     *
     * Under the hood, this is determined by spawning a Greed Donation Machine at the beginning of the
     * run and then seeing if it exists before removing it. (The results are cached for the entire
     * run.)
     *
     * In order to use this function, you must upgrade your mod with
     * `ISCFeature.UNLOCK_ACHIEVEMENTS_DETECTION`.
     *
     * @public
     */
    canRunUnlockAchievements(): boolean;
}
//# sourceMappingURL=UnlockAchievementsDetection.d.ts.map