/**
 * Adds a single charge to the player's specified active item. You must provide the active slot
 * number. Provide a second number to give a custom amount of charges. (You can use negative numbers
 * to remove charge.)
 */
export declare function addCharges(params: string): void;
/**
 * Warps to the Angel Room for the floor. If the Devil Room has already been visited or initialized,
 * this will uninitialize it and make an Angel Room instead.
 */
export declare function angelRoom(): void;
/** Activates the flags for the Ascent (i.e. Backwards Path). */
export declare function ascent(): void;
/** Warps to the first Clean Bedroom or Dirty Bedroom on the floor. */
export declare function bedroom(): void;
/**
 * Gives a half black heart. Provide a number to give a custom amount of hearts. (You can use
 * negative numbers to remove hearts.)
 */
export declare function blackHearts(params: string): void;
/** Warps to the Black Market for the floor. */
export declare function blackMarket(): void;
/** Toggles permanent Curse of the Blind. */
export declare function blind(): void;
/**
 * Gives a blood charge. This only affects Bethany. Provide a number to give a custom amount of
 * charges. (You can use negative numbers to remove charges.)
 */
export declare function bloodCharges(params: string): void;
/** Alias for the "blackMarket" command. */
export declare function bm(): void;
/**
 * Gives a bomb. Provide a number to give a custom amount of bombs. (You can use negative numbers to
 * remove bombs.)
 */
export declare function bomb(params: string): void;
/**
 * Gives 99 bombs. Provide a number to give a custom amount of bombs. (You can use negative numbers
 * to remove bombs.)
 */
export declare function bombs(params: string): void;
/**
 * Gives a bone heart. Provide a number to give a custom amount of hearts. (You can use negative
 * numbers to remove hearts.)
 */
export declare function boneHearts(params: string): void;
/** Alias for the "bossRoom" command. */
export declare function boss(): void;
/** Warps to the room next to the first Boss Room on the floor. */
export declare function bossNextRoom(): void;
/** Warps to the first Boss Room on the floor (or the Delirium Boss Room if on The Void). */
export declare function bossRoom(): void;
/** Warps to the Boss Rush for the floor. */
export declare function bossRush(): void;
/**
 * Gives a broken heart. Provide a number to give a custom amount of hearts. (You can use negative
 * numbers to remove hearts.)
 */
export declare function brokenHearts(params: string): void;
/**
 * Gives the specified card. Accepts either the card type or the partial name of the card.
 *
 * For example:
 * - card 5 - Gives The Emperor.
 * - card spa - Gives 2 of Spades.
 */
export declare function card(params: string): void;
/** Spawns every card on the ground, starting at the top-left-most tile. */
export declare function cards(): void;
/** Alias for the "chaosCardTears" command. */
export declare function cc(): void;
/**
 * Toggles Chaos Card tears for the player. Useful for killing enemies very fast without using
 * "debug 10".
 */
export declare function chaosCardTears(): void;
/**
 * Restart as the specified character. Accepts either the character sub-type or the partial name of
 * the character.
 *
 * For example:
 * - character 2 - Restarts as Cain.
 * - character ta - Restarts as Tainted Azazel.
 */
export declare function character(params: string): void;
/** Alias for the "addCharges" command. */
export declare function charge(params: string): void;
/** Warps to the first Clean Bedroom on the floor. */
export declare function cleanBedroom(): void;
/**
 * Gives a coin. Provide a number to give a custom amount of coins. (You can use negative numbers to
 * remove coins.)
 */
export declare function coin(params: string): void;
/**
 * Gives 999 coins. Provide a number to give a custom amount of coins. (You can use negative numbers
 * to remove coins.)
 */
export declare function coins(params: string): void;
/** Alias for the "spawnCollectible" command. */
export declare function collectible(params: string): void;
/** Creates a crawl space next to the player. */
export declare function crawlSpace(): void;
/** Toggles permanent Curse of the Cursed. */
export declare function cursed(): void;
/** Uses the D20. */
export declare function d20(): void;
/** Uses the D6. */
export declare function d6(): void;
/** Warps to the Mausoleum 2 Boss Room that has Dad's Note in it. */
export declare function dadsNote(): void;
/**
 * Toggles a set damage stat for the player. You can provide an optional argument to this command in
 * order to set the damage to a specific amount. Default is 500.
 */
export declare function damage(params: string): void;
/** Toggles permanent Curse of Darkness. */
export declare function darkness(): void;
/** Alias for the "devil" command. */
export declare function dd(): void;
/**
 * Warps to the Devil Room for the floor. If the Angel Room has already been visited or initialized,
 * this will uninitialize it and make an Devil Room instead.
 */
export declare function devilRoom(): void;
/** Warps to the first Dirty Bedroom on the floor. */
export declare function dirtyBedroom(): void;
/** Toggles whether curses can appear. */
export declare function disableCurses(): void;
/** Warps to the Dogma Boss Room. */
export declare function dogma(): void;
/** Moves the player 0.5 units down. Provide a number to move a custom amount of units. */
export declare function down(params: string): void;
/** Warps to the Dungeon (i.e. the crawl space room) for the floor. */
export declare function dungeon(): void;
/** Logs the player's current temporary effects to the "log.txt" file. */
export declare function effects(): void;
/** Alias for the "iAmError" command. */
export declare function errorRoom(): void;
/**
 * Gives an eternal heart. Provide a number to give a custom amount of hearts. (You can use negative
 * numbers to remove hearts.)
 */
export declare function eternalHearts(params: string): void;
/** Grants the maximum amount of blue flies to the player. */
export declare function flies(): void;
/** Toggles flight for the player. */
export declare function flight(params: string): void;
/** Alias for the "startingRoom" command. */
export declare function fool(): void;
/** Displays the current challenge, if any. */
export declare function getChallenge(): void;
/** Prints the charge for the specified slot. By default, will use `ActiveSlot.PRIMARY`. */
export declare function getCharge(params: string): void;
/** Prints the current position of all players. */
export declare function getPosition(): void;
/** Toggles permanent Curse of the Giant. */
export declare function giant(): void;
/**
 * Gives a Giga Bomb. Provide a number to give a custom amount of Giga Bombs. (You can use negative
 * numbers to remove bombs.)
 */
export declare function gigaBomb(params: string): void;
/** Alias for the "goldenBomb" command. */
export declare function goldBomb(): void;
/** Alias for the "goldenHearts" command. */
export declare function goldHearts(params: string): void;
/** Alias for the "goldenKey" command. */
export declare function goldKey(): void;
/** Alias for the "spawnGoldenTrinket" command. */
export declare function goldTrinket(params: string): void;
/** Gives the player a golden bomb. */
export declare function goldenBomb(): void;
/**
 * Gives a golden heart. Provide a number to give a custom amount of hearts. (You can use negative
 * numbers to remove hearts.)
 */
export declare function goldenHearts(params: string): void;
/** Gives the player a golden key. */
export declare function goldenKey(): void;
/** Alias for the "spawnGoldenTrinket" command. */
export declare function goldenTrinket(params: string): void;
/**
 * Alias for the "debug 11" command. Useful for seeing the coordinates and grid index of each tile
 * in the room.
 */
export declare function grid(): void;
/** Alias for the "gridCosts" command. */
export declare function grid2(): void;
/** Alias for the "debug 2" command. Useful for seeing the grid costs of each tile in the room. */
export declare function gridCosts(): void;
/** Spawns every grid entity, starting at the top-left-most tile. */
export declare function gridEntities(): void;
/**
 * Gives a half red heart. Provide a number to give a custom amount of hearts. (You can use negative
 * numbers to remove hearts.)
 */
export declare function hearts(params: string): void;
/** Alias for the "debug 6" command. */
export declare function hitboxes(): void;
/** Warps to the Blue Womb Boss Room. */
export declare function hush(): void;
/** Warps to the I AM ERROR room for the floor. */
export declare function iAmErrorRoom(): void;
/**
 * Gives a key. Provide a number to give a custom amount of key. (You can use negative numbers to
 * remove keys.)
 */
export declare function key(params: string): void;
/**
 * Gives 99 keys. Provide a number to give a custom amount of coins. (You can use negative numbers
 * to remove keys.)
 */
export declare function keys(params: string): void;
/** Toggles permanent Curse of the Labyrinth. */
export declare function labyrinth(): void;
/** Moves the player 0.5 units left. Provide a number to move a custom amount of units. */
export declare function left(params: string): void;
/** Warps to the first Library on the floor. */
export declare function library(): void;
/**
 * Logs the entities in the room to the "log.txt" file. Provide a number to only log that specific
 * `EntityType`.
 *
 * By default, this command will exclude background effects. If that is not desired, use the
 * "listAll" command instead.
 */
export declare function list(params: string): void;
/**
 * Logs the entities in the room to the "log.txt" file. Provide a number to only log that specific
 * `EntityType`.
 */
export declare function listAll(params: string): void;
/**
 * Logs the grid entities in the room to the "log.txt" file. Provide a number to only log that
 * specific `GridEntityType`.
 *
 * By default, this command will exclude walls. If that is not desired, use the "listGridAll"
 * command instead.
 */
export declare function listGrid(params: string): void;
/**
 * Logs the grid entities in the room to the "log.txt" file. Provide a number to only log that
 * specific `GridEntityType`.
 */
export declare function listGridAll(params: string): void;
/** Toggles permanent Curse of the Lost. */
export declare function lost(): void;
/** Alias for the "1hp" command. */
export declare function lowHP(): void;
/** Alias for "debug 9". */
export declare function luck(): void;
/** Alias for the "poopMana" command. */
export declare function mana(params: string): void;
/** Completely reveals the entire map, including the Ultra Secret Room. */
export declare function map(): void;
/**
 * Gives a heart container. Provide a number to give a custom amount of heart containers. (You can
 * use negative numbers to remove heart containers.)
 */
export declare function maxHearts(params: string): void;
/** Toggles permanent Curse of the Maze. */
export declare function maze(): void;
/** Warps to the first Miniboss Room on the floor. */
export declare function miniboss(): void;
/** Logs the currently playing music track to the "log.txt" file. */
export declare function music(): void;
/** Alias for the "disableCurses" command. */
export declare function noCurses(): void;
/** Sets every NPC in the room to 1 HP. */
export declare function oneHP(): void;
/**
 * Gives a pill with the specified pill effect. Accepts either the effect ID or the partial name of
 * the effect.
 *
 * For example:
 *
 * - `pill 5` - Gives a "Full Health" pill.
 * - `pill suns` - Gives a "Feels like I'm walking on sunshine" pill.
 */
export declare function pill(params: string): void;
/** Spawns every pill on the ground, starting at the top-left-most tile. */
export declare function pills(): void;
/** Warps to the first Planetarium on the floor. */
export declare function planetarium(): void;
/** Alias for the "sound" command. */
export declare function playSound(params: string): void;
/** Sets the player's pocket item to the specified collectible type. */
export declare function pocket(params: string): void;
/** Creates a poop grid entity next to the player. */
export declare function poop(): void;
/**
 * Gives a poop mana charge. This only affects Tainted Blue Baby. Provide a number to give a custom
 * amount of charges. (You can use negative numbers to remove charges.)
 */
export declare function poopMana(params: string): void;
/** Alias for the "getPosition" command. */
export declare function position(): void;
/** Alias for the "hearts" command. */
export declare function redHearts(params: string): void;
/** Starts a room transition to the same room that you are already in. */
export declare function reloadRoom(): void;
/** Moves the player 0.5 units right. Provide a number to move a custom amount of units. */
export declare function right(params: string): void;
/** Logs information about the room to the "log.txt" file. */
export declare function room(): void;
/**
 * Gives a rotten heart. Provide a number to give a custom amount of hearts. (You can use negative
 * numbers to remove hearts.)
 */
export declare function rottenHearts(params: string): void;
/**
 * Run the suite of tests that prove that the "deepCopy" helper function and the "merge" function
 * work properly. For more information, see the `runDeepCopyTests` and the `runMergeTests`
 * functions.
 *
 * In general, running the tests is only useful if you are troubleshooting the save data manager.
 */
export declare function runTests(): void;
/**
 * Alias for the "stage" command.
 *
 * For example:
 * - s 3 - Warps to Caves 1.
 * - s 1c - Warps to Downpour 1.
 */
export declare function s(params: string): void;
/** Warps to the first Sacrifice Room on the floor. */
export declare function sacrificeRoom(): void;
/** Warps to the first Secret Room on the floor. */
export declare function secretRoom(): void;
/** Warps to the Secret Shop that you would normally get to with a Member Card. */
export declare function secretShop(): void;
/** Changes to a seeded run, using the seed of the current run. */
export declare function seedStick(): void;
/** Logs all of the current run's seed effects to the "log.txt" file. */
export declare function seeds(): void;
/**
 * Sets a charge to the player's specified active item. You must provide the active slot number and
 * the number of charges to set.
 */
export declare function setCharges(params: string): void;
/**
 * Moves the first player to the specified position.
 *
 * For example:
 * - setPosition 100 50
 */
export declare function setPosition(params: string): void;
/** Warps to the first shop on the floor. */
export declare function shop(): void;
/** Uses the Smelter to smelt the current player's trinket. */
export declare function smelt(): void;
/**
 * Gives a soul charge. This only affects Tainted Bethany. Provide a number to give a custom amount
 * of charges. (You can use negative numbers to remove charges.)
 */
export declare function soulCharges(params: string): void;
/**
 * Gives a half soul heart. Provide a number to give a custom amount of hearts. (You can use
 * negative numbers to remove hearts.)
 */
export declare function soulHearts(params: string): void;
/**
 * Play the supplied sound effect.
 *
 * For example:
 * - sound 1 - Plays the 1-Up sound effect.
 */
export declare function sound(params: string): void;
/** Logs all of the currently playing sound effects to the "log.txt" file. */
export declare function sounds(): void;
/**
 * Toggles spamming Blood Rights on every frame. Useful for killing enemies very fast without using
 * "debug 10".
 */
export declare function spam(): void;
/**
 * Spawns a collectible in the center of the room. You must specify the collectible name or the
 * number corresponding to the collectible type.
 *
 * For example, all of the following commands would spawn Spoon Bender:
 *
 * ```text
 * spawnCollectible spoon bender
 * spawnCollectible spoon
 * spawnCollectible spo
 * spawnCollectible 3
 * ```
 */
export declare function spawnCollectible(params: string): void;
/**
 * Spawns a collectible at a specific grid tile location. You must specify the number corresponding
 * to the collectible type and the number corresponding to the grid tile location.
 *
 * For example, this would spawn Spoon Bender in the top-left corner of a 1x1 room:
 *
 * ```text
 * spawnCollectibleAt 3 16
 * ```
 *
 * (You can use the "grid" command to toggle displaying the numerical grid indexes corresponding to
 * a grid tile.)
 */
export declare function spawnCollectibleAt(params: string): void;
/** Alias for the `spawnGoldenTrinket` command. */
export declare function spawnGoldTrinket(params: string): void;
/**
 * The same thing as the `spawnTrinket` command but spawns a golden version of the specified
 * trinket.
 */
export declare function spawnGoldenTrinket(params: string): void;
/**
 * The same thing as the `spawnTrinketAt` command but spawns a golden version of the specified
 * trinket.
 */
export declare function spawnGoldenTrinketAt(params: string): void;
/**
 * Spawns a trinket in the center of the room. You must specify the trinket name or the number
 * corresponding to the trinket type.
 *
 * For example, all of the following commands would spawn the Wiggle Worm trinket:
 *
 * ```text
 * spawnTrinket wiggle worm
 * spawnTrinket wiggle
 * spawnTrinket wig
 * spawnTrinket 10
 * ```
 *
 * Also see the `spawnGoldenTrinket` command.
 */
export declare function spawnTrinket(params: string, golden?: boolean): void;
/**
 * Spawns a trinket at a specific grid tile location. You must specify the number corresponding to
 * the trinket type and the number corresponding to the grid tile location.
 *
 * For example, this would spawn Wiggle Worm in the top-left corner of a 1x1 room:
 *
 * ```text
 * spawnTrinketAt 10 16
 * ```
 *
 * (You can use the "grid" command to toggle displaying the numerical grid indexes corresponding to
 * a grid tile.)
 */
export declare function spawnTrinketAt(params: string, golden?: boolean): void;
/**
 * Toggles a set movement speed and flight for the player. You can provide an optional argument to
 * this command in order to set the speed to a specific amount. Default is 2.0 (which is the maximum
 * that the stat can be set to).
 */
export declare function speed(params: string): void;
/** Creates a spikes grid entity next to the player. */
export declare function spikes(): void;
/** Alias for the "startingRoom" command. */
export declare function startRoom(): void;
/** Warps to the starting room of the floor. */
export declare function startingRoom(): void;
/** Warps to the first Super Secret Room on the floor. */
export declare function superSecretRoom(): void;
/**
 * Toggles a set tear delay (e.g. fire rate) for the player. You can provide an optional argument to
 * this command in order to set the tear delay to a specific amount. Default is 1 (which is
 * equivalent to the Soy Milk tear rate).
 */
export declare function tears(params: string): void;
/** Alias for the "runTests" command. */
export declare function tests(): void;
/** Creates a trapdoor next to the player. */
export declare function trapdoor(): void;
/** Warps to the first Treasure Room on the floor. */
export declare function treasureRoom(): void;
/** Alias for the "spawnTrinket" command. */
export declare function trinket(params: string): void;
/** Warps to the first Ultra Secret Room on the floor. */
export declare function ultraSecretRoom(): void;
/** Toggles permanent Curse of the Unknown. */
export declare function unknown(): void;
/** If currently on a set seed, changes to an unseeded state and restarts the game. */
export declare function unseed(): void;
/** Moves the player 0.5 units up. Provide a number to move a custom amount of units. */
export declare function up(params: string): void;
/**
 * Warps to the specified room type. Accepts either the room type number or the partial name of the
 * room type.
 *
 * For example:
 * - warp 5 - Warps to the first Boss Room on the floor, if any.
 * - warp tr - Warps to the first Treasure Room on the floor, if any.
 */
export declare function warp(params: string): void;
/** Alias for the "labyrinth" command. */
export declare function xl(): void;
//# sourceMappingURL=commands.d.ts.map