/// <reference types="isaac-typescript-definitions" />
/// <reference types="isaac-typescript-definitions" />
import type { ChargeBarSprites } from "../interfaces/ChargeBarSprites";
/**
 * Constructor for a `ChargeBarSprites` object. For more information, see the `renderChargeBar`
 * helper function.
 *
 * Note that this is for the vertical charge bar that represents the number of charges that an
 * active item has, not the circular charge bar that shows e.g. the charge rate of Brimstone.
 */
export declare function newChargeBarSprites(maxCharges: int): ChargeBarSprites;
/**
 * Helper function to render a charge bar on the screen. First, call the `newChargeBarSprites`
 * function to initialize the sprites, and then call this function on every render frame.
 *
 * Note that this is for the vertical charge bar that represents the number of charges that an
 * active item has, not the circular charge bar that shows e.g. the charge rate of Brimstone.
 */
export declare function renderChargeBar(sprites: ChargeBarSprites, position: Vector, normalCharges: int, batteryCharges: int): void;
//# sourceMappingURL=chargeBar.d.ts.map