import { RoomShape } from "isaac-typescript-definitions";
/**
 * Helper function to get the set of grid indexes that represent where the walls are supposed to be
 * in a given room shape.
 *
 * This function only works reliably in vanilla rooms because in a modded room, it is possible to
 * place walls in a non-standard location.
 */
export declare function getVanillaWallGridIndexSetForRoomShape(roomShape: RoomShape): ReadonlySet<int>;
/**
 * Helper function to determine if a given grid index should have a wall generated by the vanilla
 * game. This is useful as a mechanism to distinguish between real walls and custom walls spawned by
 * mods.
 *
 * This function properly handles the special cases of the Mother boss room and the Home closet
 * rooms, which are both non-standard room shapes.
 */
export declare function isVanillaWallGridIndex(gridIndex: int): boolean;
//# sourceMappingURL=roomShapeWalls.d.ts.map