import type { LevelStage, Music, StageType } from "isaac-typescript-definitions";
import type { TranspiledEnum } from "./enums";
/**
 * Helper function to get the corresponding music value for a stage and stage type combination.
 *
 * @param stage Optional. The stage to get the music for. If not specified, the current stage will
 *              be used.
 * @param stageType Optional. The stage type to get the music for. If not specified, the current
 *                  stage type will be used.
 */
export declare function getMusicForStage(stage?: LevelStage, stageType?: StageType): Music;
/**
 * Helper function to manually stop every vanilla sound effect. If you also want to stop custom
 * sound effects in addition to vanilla ones, then pass the `SoundEffectCustom` enum for your mod.
 *
 * @param soundEffectCustom Optional. The enum that represents all of the custom sound effects for
 *                          your mod.
 */
export declare function stopAllSoundEffects(soundEffectCustom?: TranspiledEnum): void;
//# sourceMappingURL=sound.d.ts.map