import { CollectibleType } from "isaac-typescript-definitions";
/**
 * Contains the extra starting collectibles for each challenge. Challenges that do not grant extra
 * starting collectibles are represented by an empty array.
 *
 * Taken from the "challenges.xml" file.
 */
export declare const CHALLENGE_COLLECTIBLE_TYPES: {
    readonly 0: readonly [];
    readonly 1: readonly [];
    readonly 2: readonly [CollectibleType.NUMBER_ONE, CollectibleType.BUTT_BOMBS, CollectibleType.E_COLI, CollectibleType.FLUSH];
    readonly 3: readonly [CollectibleType.SMALL_ROCK, CollectibleType.IRON_BAR, CollectibleType.TINY_PLANET, CollectibleType.SOY_MILK];
    readonly 4: readonly [CollectibleType.PENTAGRAM, CollectibleType.RAZOR_BLADE, CollectibleType.SACRIFICIAL_DAGGER, CollectibleType.DARK_MATTER];
    readonly 5: readonly [CollectibleType.BUCKET_OF_LARD, CollectibleType.INFAMY, CollectibleType.THUNDER_THIGHS];
    readonly 6: readonly [CollectibleType.HALO_OF_FLIES, CollectibleType.TRANSCENDENCE, CollectibleType.DISTANT_ADMIRATION, CollectibleType.FOREVER_ALONE];
    readonly 7: readonly [CollectibleType.MY_REFLECTION, CollectibleType.MR_MEGA, CollectibleType.IPECAC];
    readonly 8: readonly [CollectibleType.GUPPYS_TAIL, CollectibleType.GUPPYS_HEAD, CollectibleType.GUPPYS_HAIRBALL];
    readonly 9: readonly [CollectibleType.DR_FETUS, CollectibleType.REMOTE_DETONATOR];
    readonly 10: readonly [CollectibleType.RAW_LIVER, CollectibleType.COMPASS, CollectibleType.TREASURE_MAP, CollectibleType.BLUE_MAP];
    readonly 11: readonly [CollectibleType.LOKIS_HORNS, CollectibleType.EPIC_FETUS];
    readonly 12: readonly [CollectibleType.LEMON_MISHAP, CollectibleType.NINE_VOLT, CollectibleType.HABIT];
    readonly 13: readonly [CollectibleType.BEAN, CollectibleType.NINE_VOLT, CollectibleType.BLACK_BEAN, CollectibleType.PYRO, CollectibleType.BUTT_BOMBS];
    readonly 14: readonly [CollectibleType.BATTERY, CollectibleType.DECK_OF_CARDS, CollectibleType.NINE_VOLT, CollectibleType.STARTER_DECK];
    readonly 15: readonly [CollectibleType.MY_REFLECTION, CollectibleType.CUPIDS_ARROW, CollectibleType.POLYPHEMUS];
    readonly 16: readonly [CollectibleType.SPOON_BENDER, CollectibleType.TECHNOLOGY, CollectibleType.TECHNOLOGY_2];
    readonly 17: readonly [CollectibleType.ANTI_GRAVITY, CollectibleType.STRANGE_ATTRACTOR];
    readonly 18: readonly [CollectibleType.MULLIGAN, CollectibleType.SPIDERBABY];
    readonly 19: readonly [CollectibleType.BROTHER_BOBBY, CollectibleType.SISTER_MAGGY, CollectibleType.DADS_KEY, CollectibleType.BFFS, CollectibleType.ROTTEN_BABY];
    readonly 20: readonly [];
    readonly 21: readonly [];
    readonly 22: readonly [];
    readonly 23: readonly [CollectibleType.BROTHER_BOBBY, CollectibleType.KAMIKAZE, CollectibleType.MR_MEGA, CollectibleType.PYROMANIAC];
    readonly 24: readonly [CollectibleType.SACK_OF_PENNIES, CollectibleType.MONEY_EQUALS_POWER];
    readonly 25: readonly [CollectibleType.CHARM_OF_THE_VAMPIRE];
    readonly 26: readonly [CollectibleType.LADDER, CollectibleType.MOMS_KNIFE, CollectibleType.TRINITY_SHIELD, CollectibleType.BOOMERANG];
    readonly 27: readonly [CollectibleType.BOBS_BRAIN, CollectibleType.BOBS_BRAIN, CollectibleType.BOBS_BRAIN, CollectibleType.THUNDER_THIGHS];
    readonly 28: readonly [CollectibleType.RAINBOW_BABY, CollectibleType.THREE_DOLLAR_BILL];
    readonly 29: readonly [CollectibleType.CHOCOLATE_MILK];
    readonly 30: readonly [CollectibleType.HOLY_GRAIL, CollectibleType.ISAACS_HEART, CollectibleType.PUNCHING_BAG, CollectibleType.SPEAR_OF_DESTINY];
    readonly 31: readonly [];
    readonly 32: readonly [];
    readonly 33: readonly [CollectibleType.MOMS_EYESHADOW, CollectibleType.FRIEND_BALL];
    readonly 34: readonly [CollectibleType.BOOK_OF_REVELATIONS, CollectibleType.CAFFEINE_PILL];
    readonly 35: readonly [CollectibleType.CUPIDS_ARROW, CollectibleType.RUBBER_CEMENT];
    readonly 36: readonly [CollectibleType.SKATOLE, CollectibleType.POOP, CollectibleType.NINE_VOLT, CollectibleType.BUTT_BOMBS, CollectibleType.BUTT_BOMBS, CollectibleType.BUTT_BOMBS, CollectibleType.E_COLI, CollectibleType.BFFS, CollectibleType.THUNDER_THIGHS, CollectibleType.DIRTY_MIND];
    readonly 37: readonly [CollectibleType.BOOK_OF_BELIAL, CollectibleType.BLOOD_BAG, CollectibleType.ANEMIC, CollectibleType.BLOOD_OATH];
    readonly 38: readonly [CollectibleType.GUPPYS_PAW, CollectibleType.SCHOOLBAG, CollectibleType.URN_OF_SOULS];
    readonly 39: readonly [CollectibleType.TRINITY_SHIELD, CollectibleType.SPIRIT_SWORD, CollectibleType.MOMS_BRACELET];
    readonly 40: readonly [245];
    readonly 41: readonly [CollectibleType.MOMS_PURSE, CollectibleType.MOMS_BOX, CollectibleType.MARBLES];
    readonly 42: readonly [];
    readonly 43: readonly [];
    readonly 44: readonly [CollectibleType.DADS_KEY];
    readonly 45: readonly [CollectibleType.TMTRAINER];
};
//# sourceMappingURL=challengeCollectibleTypes.d.ts.map