/**
 * A mapping of stage and stage types to the corresponding English level name.
 *
 * This is useful because the `Level.GetName` method returns a localized version of the level name,
 * which will not display correctly on some fonts.
 *
 * Note that this contains "Blue Womb" instead of "???" for stage 9.
 */
export declare const LEVEL_NAMES: {
    readonly 1: {
        readonly 0: "Basement 1";
        readonly 1: "Cellar 1";
        readonly 2: "Burning Basement 1";
        readonly 3: "Basement";
        readonly 4: "Downpour 1";
        readonly 5: "Dross 1";
    };
    readonly 2: {
        readonly 0: "Basement 2";
        readonly 1: "Cellar 2";
        readonly 2: "Burning Basement 2";
        readonly 3: "Basement";
        readonly 4: "Downpour 2";
        readonly 5: "Dross 2";
    };
    readonly 3: {
        readonly 0: "Caves 1";
        readonly 1: "Catacombs 1";
        readonly 2: "Flooded Caves 1";
        readonly 3: "Caves";
        readonly 4: "Mines 1";
        readonly 5: "Ashpit 1";
    };
    readonly 4: {
        readonly 0: "Caves 2";
        readonly 1: "Catacombs 2";
        readonly 2: "Flooded Caves 2";
        readonly 3: "Caves";
        readonly 4: "Mines 2";
        readonly 5: "Ashpit 2";
    };
    readonly 5: {
        readonly 0: "Depths 1";
        readonly 1: "Necropolis 1";
        readonly 2: "Dank Depths 1";
        readonly 3: "Depths";
        readonly 4: "Mausoleum 1";
        readonly 5: "Gehenna 1";
    };
    readonly 6: {
        readonly 0: "Depths 2";
        readonly 1: "Necropolis 2";
        readonly 2: "Dank Depths 2";
        readonly 3: "Depths";
        readonly 4: "Mausoleum 2";
        readonly 5: "Gehenna 2";
    };
    readonly 7: {
        readonly 0: "Womb 1";
        readonly 1: "Utero 1";
        readonly 2: "Scarred Womb 1";
        readonly 3: "Womb";
        readonly 4: "Corpse 1";
        readonly 5: "Mortis 1";
    };
    readonly 8: {
        readonly 0: "Womb 2";
        readonly 1: "Utero 2";
        readonly 2: "Scarred Womb 2";
        readonly 3: "Womb";
        readonly 4: "Corpse 2";
        readonly 5: "Mortis 2";
    };
    readonly 9: {
        readonly 0: "Blue Womb";
        readonly 1: "Blue Womb";
        readonly 2: "Blue Womb";
        readonly 3: "Blue Womb";
        readonly 4: "Blue Womb";
        readonly 5: "Blue Womb";
    };
    readonly 10: {
        readonly 0: "Sheol";
        readonly 1: "Cathedral";
        readonly 2: "Undefined";
        readonly 3: "Sheol";
        readonly 4: "Undefined";
        readonly 5: "Undefined";
    };
    readonly 11: {
        readonly 0: "Dark Room";
        readonly 1: "The Chest";
        readonly 2: "Undefined";
        readonly 3: "The Shop";
        readonly 4: "Undefined";
        readonly 5: "Undefined";
    };
    readonly 12: {
        readonly 0: "The Void";
        readonly 1: "The Void";
        readonly 2: "The Void";
        readonly 3: "The Void";
        readonly 4: "The Void";
        readonly 5: "The Void";
    };
    readonly 13: {
        readonly 0: "Home";
        readonly 1: "Home";
        readonly 2: "Home";
        readonly 3: "Home";
        readonly 4: "Home";
        readonly 5: "Home";
    };
};
//# sourceMappingURL=levelNames.d.ts.map