local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local DoorSlot = ____isaac_2Dtypescript_2Ddefinitions.DoorSlot
local RoomShape = ____isaac_2Dtypescript_2Ddefinitions.RoomShape
--- The coordinates correspond to the x and y values that are present in a room's XML file.
-- 
-- e.g. `<door exists="False" x="-1" y="3" />`
____exports.ROOM_SHAPE_TO_DOOR_SLOT_COORDINATES = {
    [RoomShape.SHAPE_1x1] = {[DoorSlot.LEFT_0] = {-1, 3}, [DoorSlot.UP_0] = {6, -1}, [DoorSlot.RIGHT_0] = {13, 3}, [DoorSlot.DOWN_0] = {6, 7}},
    [RoomShape.IH] = {[DoorSlot.LEFT_0] = {-1, 3}, [DoorSlot.RIGHT_0] = {13, 3}},
    [RoomShape.IV] = {[DoorSlot.UP_0] = {6, -1}, [DoorSlot.DOWN_0] = {6, 7}},
    [RoomShape.SHAPE_1x2] = {
        [DoorSlot.LEFT_0] = {-1, 3},
        [DoorSlot.UP_0] = {6, -1},
        [DoorSlot.RIGHT_0] = {13, 3},
        [DoorSlot.DOWN_0] = {6, 14},
        [DoorSlot.LEFT_1] = {-1, 10},
        [DoorSlot.RIGHT_1] = {13, 10}
    },
    [RoomShape.IIV] = {[DoorSlot.UP_0] = {6, -1}, [DoorSlot.DOWN_0] = {6, 14}},
    [RoomShape.SHAPE_2x1] = {
        [DoorSlot.LEFT_0] = {-1, 3},
        [DoorSlot.UP_0] = {6, -1},
        [DoorSlot.RIGHT_0] = {26, 3},
        [DoorSlot.DOWN_0] = {6, 7},
        [DoorSlot.UP_1] = {19, -1},
        [DoorSlot.DOWN_1] = {19, 7}
    },
    [RoomShape.IIH] = {[DoorSlot.LEFT_0] = {-1, 3}, [DoorSlot.RIGHT_0] = {26, 3}},
    [RoomShape.SHAPE_2x2] = {
        [DoorSlot.LEFT_0] = {-1, 3},
        [DoorSlot.UP_0] = {6, -1},
        [DoorSlot.RIGHT_0] = {26, 3},
        [DoorSlot.DOWN_0] = {6, 14},
        [DoorSlot.LEFT_1] = {-1, 10},
        [DoorSlot.UP_1] = {19, -1},
        [DoorSlot.RIGHT_1] = {26, 10},
        [DoorSlot.DOWN_1] = {19, 14}
    },
    [RoomShape.LTL] = {
        [DoorSlot.LEFT_0] = {12, 3},
        [DoorSlot.UP_0] = {6, 6},
        [DoorSlot.RIGHT_0] = {26, 3},
        [DoorSlot.DOWN_0] = {6, 14},
        [DoorSlot.LEFT_1] = {-1, 10},
        [DoorSlot.UP_1] = {19, -1},
        [DoorSlot.RIGHT_1] = {26, 10},
        [DoorSlot.DOWN_1] = {19, 14}
    },
    [RoomShape.LTR] = {
        [DoorSlot.LEFT_0] = {-1, 3},
        [DoorSlot.UP_0] = {6, -1},
        [DoorSlot.RIGHT_0] = {13, 3},
        [DoorSlot.DOWN_0] = {6, 14},
        [DoorSlot.LEFT_1] = {-1, 10},
        [DoorSlot.UP_1] = {19, 6},
        [DoorSlot.RIGHT_1] = {26, 10},
        [DoorSlot.DOWN_1] = {19, 14}
    },
    [RoomShape.LBL] = {
        [DoorSlot.LEFT_0] = {-1, 3},
        [DoorSlot.UP_0] = {6, -1},
        [DoorSlot.RIGHT_0] = {26, 3},
        [DoorSlot.DOWN_0] = {6, 7},
        [DoorSlot.LEFT_1] = {12, 10},
        [DoorSlot.UP_1] = {19, -1},
        [DoorSlot.RIGHT_1] = {26, 10},
        [DoorSlot.DOWN_1] = {19, 14}
    },
    [RoomShape.LBR] = {
        [DoorSlot.LEFT_0] = {-1, 3},
        [DoorSlot.UP_0] = {6, -1},
        [DoorSlot.RIGHT_0] = {26, 3},
        [DoorSlot.DOWN_0] = {6, 14},
        [DoorSlot.LEFT_1] = {-1, 10},
        [DoorSlot.UP_1] = {19, -1},
        [DoorSlot.RIGHT_1] = {13, 10},
        [DoorSlot.DOWN_1] = {19, 7}
    }
}
return ____exports
